Subject: [Ecrit] Unauthenticated Emergency Services: Discussion @ upcoming IETF meeting

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 11 Jul 2011 12:52:52 +0300

Hi all, 

based on review comments by Bernard & Martin I would suggest to have a discussion at the upcoming IETF meeting to go through the following items:

1)  No Access Authentication (NAA)

We should go through a message flow step by step and make sure that we have the same understanding of what happens (and should happen). 
The interaction with LoST, LoST discovery, and what the LoST database is provisioned with is interesting to explore. We want to get the security properties right and therefore have to discuss whether we want LoST to return a URI that points to  arbitrary ASPs or just to an entity in the ESINet. 

2)  The state of Hotspot access

Bernard illustrated that the current hotspot access is quite bad and there is no easy way to get to the functionality we would need. The currently described functionality captures the envisioned end state and does not explain how to get to that state given the nastiness of today's network deployments. For me the question is essentially of how do we capture these two worlds? On one hand we want to provide a technical writeup about the functionality that is needed to make calls in such an environment happen but on the other hand we need to point to the problems to get there. Those who make regulatory decisions about this functionality as well as those who are going to deploy support for it need to be aware of the challenges. 

I believe that the points Bernard raised in his review are good and a short writeup should be included in the document to illustrate some of the deployment challenges this entire work is going to face. Bernard had provided a few recommendations that could be discussed. 

3) Lack of network access authorization

The NAA case only focuses on the lack of credentials but does not consider the case where credentials are available but authorization fails nevertheless. We could go through one of such a case and figure out whether to include it either in a separate category or as part of the NAA case. 

Bernard also suggested that operators be recruited to review this document (ideally those who deploy big WLAN hotspots, and enterprise networks). That's a request to the chairs...

4) Document Writing Style 

An editorial question was raised by Martin as well. Currently, the draft states the steps that are necessary for performing the emergency call. There are only a few steps. Martin suggested to instead reference the selected parts from the phone BCP and say what is not applicable. Another option is to provide a summary of what is different. In any case, the working group feedback on that issue would be interesting. 

Dirk, and I believe that a discussion about the above-listed items at the upcoming face-to-face meeting will help us to progress the document. 

Ciao
Hannes